#!/bin/sh
# $Id: git-directories-copy1-destroyed.sh 169 2008-08-14 11:41:20Z stsp $

. ./git-init.sh

# Copy a directory in repos.
cp -r $repos/gamma $repos/gamma.copied
(cd $repos && git add gamma.copied)
(cd $repos && git commit -a -m "copied gamma")

# Destroy the same directory in repos2
(cd $repos2 && git rm -r gamma)
# We need to commit here, else gamma will be resurrected by the merge
(cd $repos2 && git commit -a -m "destroyed gamma")

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
