#!/bin/sh
# $Id: git-directories-move1-destroyed.sh 178 2008-08-14 13:57:02Z stsp $

. ./git-init.sh

# Move a directory in repos
(cd $repos && git mv gamma gamma.moved)
(cd $repos && git commit -a -m "moved gamma")

# Remove the same directory in repos2.
(cd $repos2 && git rm -r gamma)
# We need to commit here, else git won't detect the conflict
(cd $repos2 && git commit -a -m "destroyed gamma")

# Pull the move into repos2 and merge
(cd $repos2 && git pull)

