#!/bin/sh
# $Id: git-directories-move2-created.sh 180 2008-08-14 14:16:09Z stsp $

. ./git-init.sh

# Move a directory in repos
(cd $repos && git mv gamma gamma.moved)
(cd $repos && git commit -a -m "renamed gammad")

# Create a directory at the move target path in repos2
mkdir $repos2/gamma.moved
echo "eta" > $repos2/gamma.moved/eta
(cd $repos2 && git add gamma.moved)
# Committing here affects the merge result, but git won't
# detect a conflict either way.
(cd $repos2 && git commit -a -m "renamed gamma, too")

# Pull the rename into repos2 and merge
(cd $repos2 && git pull)
