#!/bin/sh
# $Id: git-files-copy2-created.sh 153 2008-08-11 16:10:28Z stsp $

. ./git-init.sh

# Copy a file in repos.
cp $repos/alpha $repos/alpha.copied
(cd $repos && git add alpha.copied)
(cd $repos && git commit -a -m "copied alpha")

# Create a file at the copy target path in repos2
echo "alpha.copied, but different" > $repos2/alpha.copied
(cd $repos2 && git add alpha.copied)
# We need to commit here, else git won't merge
(cd $repos2 && git commit -a -m "created alpha.copied")

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
