#!/bin/sh
# $Id: git-files-create-created.sh 119 2008-08-05 11:30:08Z stsp $

. ./git-init.sh

# Add a file in repos
echo "eta" > $repos/eta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "added eta")

# Add a file with the same name but different content
# in repos2's working copy
echo "eta, but different" > $repos2/eta
(cd $repos2 && git add eta)
# We need to commit here, else git won't merge.
(cd $repos2 && git commit -a -m "added different eta")

# Pull the add into repos2 and merge
(cd $repos2 && git pull)
