#!/bin/sh
# $Id: git-files-destroy-modified.sh 126 2008-08-06 14:39:12Z stsp $

. ./git-init.sh

# Destroy a file in repos
(cd $repos && git rm alpha)
(cd $repos && git commit -m "destroyed alpha")

# Modify the same file in repos2
echo "alpha, modified" > $repos2/alpha
# Make the modification visible in the index
(cd $repos2 && git add alpha)
# We need to commit here, else git won't merge
(cd $repos2 && git commit -m "changed alpha")

# Pull the destruction of alpha into repos2 and merge
(cd $repos2 && git pull)
