#!/bin/sh
# $Id: git-files-move2-moved.sh 181 2008-08-14 14:23:39Z stsp $

. ./git-init.sh

# Move a file in repos
(cd $repos && git mv alpha eta)
(cd $repos && git commit -a -m "renamed alpha")

# Move a file different file in repos2 to the move target path
(cd $repos2 && git mv beta eta)
# We need to commit here, else git won't detect a conflict.
(cd $repos2 && git commit -a -m "renamed beta to the same move target path")

# Pull the rename into repos2 and merge
(cd $repos2 && git pull)
