#!/bin/sh
# $Id: git-files-copy1-destroyed.sh 152 2008-08-11 15:55:36Z stsp $

. ./git-init.sh

# Copy a file in repos.
cp $repos/alpha $repos/alpha.copied
(cd $repos && git add alpha.copied)
(cd $repos && git commit -a -m "copied alpha")

# Destroy the same file in repos2
(cd $repos2 && git rm alpha)
# We need to commit here, else alpha will be resurrected by the merge
(cd $repos2 && git commit -a -m "destroyed alpha")

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
