#!/bin/sh
# $Id: git-files-destroy-moved.sh 150 2008-08-11 15:17:38Z stsp $

. ./git-init.sh

# Destroy a file in repos
(cd $repos && git rm alpha)
(cd $repos && git commit -m "destroyed alpha")

# Move the same file in repos2
# Make the modification visible in the index
(cd $repos2 && git mv alpha alpha.moved)
# We need to commit here, else git won't detect the conflict
(cd $repos2 && git commit -m "changed alpha")

# Pull the destruction of alpha into repos2 and merge
(cd $repos2 && git pull)
