#!/bin/sh
# $Id: hg-directories-copy-moved-to.sh 100 2008-07-23 14:13:57Z stsp $

. ./hg-init.sh

# Copy a directory in repos
hg copy $repos/gamma $repos/gamma.copied
hg commit -m "copied gamma" $repos

# Move the same directory in repos2's working copy
hg rename $repos2/gamma $repos2/gamma.moved

# Pull the modification into repos2 and update
(cd $repos2 && hg pull; hg update)
